From 797283251470786bffd6586571407337da899d30 Mon Sep 17 00:00:00 2001
From: Othmar Truniger <github@truniger.ch>
Date: Fri, 19 May 2023 18:15:05 +0200
Subject: [PATCH] add formatter for fmt >= 10.0.0

Signed-off-by: Othmar Truniger <github@truniger.ch>
---
 src/backend/fpace.cpp          | 3 +++
 src/backend/fqueue.cpp         | 3 +++
 src/backend/tpuart.cpp         | 3 +++
 src/libserver/eibnetserver.cpp | 3 +++
 src/libserver/eibusb.cpp       | 3 +++
 src/libserver/emi_common.cpp   | 3 +++
 src/libserver/retry.cpp        | 3 +++
 src/libserver/usblowlevel.cpp  | 4 ++++
 8 files changed, 25 insertions(+)

diff --git a/src/backend/fpace.cpp b/src/backend/fpace.cpp
index dddd593c..eb9ce8a5 100644
--- a/src/backend/fpace.cpp
+++ b/src/backend/fpace.cpp
@@ -19,6 +19,9 @@
 
 #include "fpace.h"
 
+/* add formatter for fmt >= 10.0.0 */
+int format_as(PSTATE t) { return t; }
+
 PaceFilter::PaceFilter (const LinkConnectPtr_& c, IniSectionPtr& s) : Filter(c,s)
 {
   last_len=0;
diff --git a/src/backend/fqueue.cpp b/src/backend/fqueue.cpp
index bab57f30..d0a00cf7 100644
--- a/src/backend/fqueue.cpp
+++ b/src/backend/fqueue.cpp
@@ -19,6 +19,9 @@
 
 #include "fqueue.h"
 
+/* add formatter for fmt >= 10.0.0 */
+int format_as(QSTATE t) { return t; }
+
 QueueFilter::QueueFilter (const LinkConnectPtr_& c, IniSectionPtr& s) : Filter(c,s)
 {
   trigger.set<QueueFilter, &QueueFilter::trigger_cb>(this);
diff --git a/src/backend/tpuart.cpp b/src/backend/tpuart.cpp
index 5534eea0..8c5493d5 100644
--- a/src/backend/tpuart.cpp
+++ b/src/backend/tpuart.cpp
@@ -31,6 +31,9 @@
 #include "log.h"
 #include "cm_tp1.h"
 
+/* add formatter for fmt >= 10.0.0 */
+int format_as(LPDU_Type t) { return t; }
+
 class TPUARTserial : public LLserial
 {
 public:
diff --git a/src/libserver/eibnetserver.cpp b/src/libserver/eibnetserver.cpp
index 85f71766..d9ea4772 100644
--- a/src/libserver/eibnetserver.cpp
+++ b/src/libserver/eibnetserver.cpp
@@ -35,6 +35,9 @@
 
 #include "emi.h"
 
+/* add formatter for fmt >= 10.0.0 */
+int format_as(ConnType t) { return t; }
+
 EIBnetServer::EIBnetServer (BaseRouter& r, IniSectionPtr& s)
   : Server(r,s)
   , mcast(NULL)
diff --git a/src/libserver/eibusb.cpp b/src/libserver/eibusb.cpp
index 9db869b7..2f832432 100644
--- a/src/libserver/eibusb.cpp
+++ b/src/libserver/eibusb.cpp
@@ -24,6 +24,9 @@
 #include "emi2.h"
 #include "usblowlevel.h"
 
+/* add formatter for fmt >= 10.0.0 */
+int format_as(EMIVer t) { return t; }
+
 USBConverterInterface::USBConverterInterface (LowLevelIface * p, IniSectionPtr& s)
   : LowLevelFilter(p,s)
 {
diff --git a/src/libserver/emi_common.cpp b/src/libserver/emi_common.cpp
index b26e7176..cb5a92dd 100644
--- a/src/libserver/emi_common.cpp
+++ b/src/libserver/emi_common.cpp
@@ -21,6 +21,9 @@
 
 #include "emi.h"
 
+/* add formatter for fmt >= 10.0.0 */
+int format_as(E_state t) { return t; }
+
 EMIVer
 cfgEMIVersion(IniSectionPtr& s)
 {
diff --git a/src/libserver/retry.cpp b/src/libserver/retry.cpp
index 0cbf9cb7..ee39f9f1 100644
--- a/src/libserver/retry.cpp
+++ b/src/libserver/retry.cpp
@@ -19,6 +19,9 @@
 
 #include "retry.h"
 
+/* add formatter for fmt >= 10.0.0 */
+int format_as(RSTATE t) { return t; }
+
 RetryFilter::RetryFilter (const LinkConnectPtr_& c, IniSectionPtr& s) : Filter(c,s)
 {
   trigger.set<RetryFilter, &RetryFilter::trigger_cb>(this);
diff --git a/src/libserver/usblowlevel.cpp b/src/libserver/usblowlevel.cpp
index a6491602..3fcb1ee3 100644
--- a/src/libserver/usblowlevel.cpp
+++ b/src/libserver/usblowlevel.cpp
@@ -28,6 +28,10 @@
 
 #include "usb.h"
 
+/* add formatter for fmt >= 10.0.0 */
+int format_as(UState t) { return t; }
+int format_as(libusb_transfer_status t) { return t; }
+
 USBEndpoint
 parseUSBEndpoint (IniSectionPtr s)
 {
